Script Warnung beim Beenden funktioniert im Nightly 94 nicht mehr

Du benötigst Hilfe bezüglich Firefox? Bitte stelle deine Frage im öffentlichen Bereich des Forums und nicht per Konversation an wahllos ausgesuchte Benutzer. Wähle dazu einen passenden Forenbereich, zum Beispiel „Probleme auf Websites“ oder „Erweiterungen und Themes“ und klicke dann rechts oben auf die Schaltfläche „Neues Thema“.
  • Firefox-Version
    Firefox 92.0
    Betriebssystem
    Windows 10 21H1 64 Bit

    Hallo @ all..


    im Nightly 94 funktioniert hier das Script beim Beenden vom Firefox bei einem geöffneten Tab nicht mehr.

    Kann das jemand bestätigen?


    Besteht die Möglichkeit das Script wenn dann wieder anzupassen?


    Für jegliche Hilfe herzlichen Dank vorweg.


    PS:

    Es erfolgt allerdings auch bei mehreren offenen Tabs keine Warnung mehr.

    Deaktiviere ich das Script, dann erscheint wieder die Warnung beim Beenden von mehreren Tabs.

  • Zur hilfreichsten Antwort springen
  • 2002Andreas

    Hat den Titel des Themas von „Script Warnung beim Beenden funktioniert im Nightly 93 nicht mehr“ zu „Script Warnung beim Beenden funktioniert im Nightly 94 nicht mehr“ geändert.
  • Ich habe mal in die Browser-Konsole gesehen. Die „gäckert“ aber überhaupt nicht. Hm. Ansonsten kann ich die Fehlfunktion bestätigen.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

    • Hilfreichste Antwort

    Testet bitte:

  • Danke, aborix. Aber bei mir kommt keine Meldung, weder beim Schließen eines noch mehrerer Tabs. Übrigens auch nicht in Fx 92.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • aborix Ich hatte die Idee, diese tabs.closeWarningxxxxx-Strings mit der BrowserGlue.jsm zu vergleichen (für das Nightly), aber genau diese hast du aktualisiert. Und trotzdem funktioniert deine Version nicht.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Ich warte zumindest den nächsten Nightly ab.

    Hallo aborix ..

    erstmal vielen Dank für deine Mühe :thumbup:  :)


    Ich denke auch, wir warten einfach ab, was Mozilla da noch umbaut.


    Mit deinem Script und der Version von gestern sieht es hier so aus:




    Edit:


    Mit der aktuellen Version 20210908213905


    funktioniert es auch wieder. :/


    Auch in meinem anderen Profil:


    Mit freundlichem Gruß
    Andreas
    Mein Laptop    Meine Add-ons

    3 Mal editiert, zuletzt von 2002Andreas () aus folgendem Grund: Ein Beitrag von 2002Andreas mit diesem Beitrag zusammengefügt.

  • Mit der aktuellen Version 20210908213905


    funktioniert es auch wieder.

    Bei mir nicht.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Ich habe mir mal die browserGlue.jsm dieses Builds angesehen. die von mir oben angesprochenen Strings sehen jezt anders aus: Sie beginnen nicht mehr mit tabs.closeWarning, sondern mit tabs.closeTabs. Den Stringbestandteil multiple gibt es auch nicht mehr.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Auch mit der Version 20210909212746 von gestern funktioniert es wieder einwandfrei, wenn hier vor:


    Confirm before closing multiple tabs


    der Haken gesetzt ist.


    Ich setze den Thread dann mal auf gelöst.


    Herzlichen Dank wie immer an aborix für seine Hilfe :thumbup:

  • Auch mit der Version 20210909212746 von gestern funktioniert es wieder einwandfrei, wenn hier vor:


    Confirm before closing multiple tabs


    der Haken gesetzt ist.

    Das hatte ich aber gestern abend auch mal probiert, kein Erfolg. Aber ich hatte da nicht nach der Build-Nummer gesehen.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Hm, immer noch keine Meldung. Irgendetwas mache ich wohl falsch, auch mit aktivierter Einstellung Confirm before closing multiple tabs. Muss da noch irgendeine Einstellung in about:config gesetzt sein?

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Nö, kein Glück. Weder im Nightly noch in Fx 92. Verwende das Skript von aborix aus Beitrag #3.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Ich habe da noch eine Idee. Glaube aber nicht daran, dass sie funktioniert. In den Zeilen 95-97 sowie 99 ist deutscher Text für die Warnung angegeben. Ich weiß nicht genau, ob das ein Abfragewert oder ein Ausgabewert ist. Wenn es ein Abfragewert ist, müsste ich wohl den sorbischen Text angeben. Wenn es ein Ausgbewert st, und das halte ich für wahrscheinlicher, müsste das dann auch im sorbischen Firefox in Deutsch ausgegeben werden.


    Ich muss dann aber erst nochmal kurz einkaufen, werde danach mal testen.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Gerade im aktuellen deutschen Nightly getestet. Da kam jetzt die Meldung, vorhin auch noch nicht. Hm.


    Äh, das war nur beim Beenden über das Schließenkreuz des Fensters, nicht beim Schließen des Tabs.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

    Einmal editiert, zuletzt von milupo () aus folgendem Grund: Ein Beitrag von milupo mit diesem Beitrag zusammengefügt.

  • Ich werde irre. Jetzt funktioniert es. Die Meldung des Skriptes erscheint beim Schließen des letzten Tabs über das Fensterkreuz (bei mehreren Tabs sieht die Meldung etwas anders aus und kommt wohl von Firefox), aber vor allem kommt die Meldung jetzt auch beim Schließen der Tabs selbst und zwar beim Schließen eines einzelnen Tabs und aller Tabs. Beim Schließen mehrerer Tabs jedoch nicht (Tabs links, Tabs rechts, andere Tabs).

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Folgendes Skript funktioniert mit den letzten paar Nightlies. Da die Texte bei mehreren Tabs jetzt kürzer sind, habe ich auch hier die Texte kürzer gemacht. Sie stehen in den Zeilen 143 und 144.